Skip to main content
GET
/
api
/
v1
/
signal
Get Signal Get
curl --request GET \
  --url https://api.openfunnel.dev/api/v1/signal \
  --header 'X-API-Key: <x-api-key>' \
  --header 'X-User-ID: <x-user-id>'
{
  "signal_id": 123,
  "signal_name": "<string>",
  "total_accounts": 123,
  "total_people": 123,
  "signal_type": "<string>",
  "status": "<string>",
  "repeat": true,
  "icp": {
    "id": 123,
    "name": "<string>",
    "target_roles": [
      "<string>"
    ],
    "min_employee": 123,
    "max_employee": 123,
    "min_funding": "<string>",
    "max_funding": "<string>",
    "location": [
      "<string>"
    ],
    "sub_locations": [
      "<string>"
    ],
    "people_locations": [
      "<string>"
    ],
    "people_sub_locations": [
      "<string>"
    ]
  },
  "max_credit_limit": 123,
  "safe_crm_sync_enabled": true,
  "auto_enrich_people_emails": true,
  "account_ids": [],
  "people_ids": []
}

Headers

X-API-Key
string
required
X-User-ID
string
required

Query Parameters

signal_id
integer
required

Signal ID to get details for

date_from
string | null

Date from to filter signals by (Inclusive). Format: YYYY-MM-DD

date_to
string | null

Date to to filter signals by (Non-Inclusive). Format: YYYY-MM-DD

Response

Successful Response

signal_id
integer
required
signal_name
string
required
total_accounts
integer
required
total_people
integer
required
signal_type
string | null
status
string | null

Signal processing status. Poll until value is completed to know when results are ready.

repeat
boolean | null

Run Daily toggle. If true, this signal runs automatically every day. Can be true, false, or null.

icp
SignalICP · object

ICP (Ideal Customer Profile) associated with this signal. Only non-null fields are returned.

max_credit_limit
integer | null
safe_crm_sync_enabled
boolean | null
auto_enrich_people_emails
boolean | null
account_ids
integer[]
people_ids
integer[]